Uses of Interface
org.apache.camel.builder.endpoint.dsl.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder
Packages that use HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder
-
Uses of HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilderModifier and TypeMethodDescriptionHttpEndpointBuilderFactory.HttpEndpointBuilder.advanced()HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clearExpiredCookies(boolean clearExpiredCookies) Whether to clear expired cookies before sending the HTTP request.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clearExpiredCookies(String clearExpiredCookies) Whether to clear expired cookies before sending the HTTP request.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clientBuilder(String clientBuilder) Provide access to the http client request parameters used on new RequestConfig instances used by producers or consumers of this endpoint.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clientBuilder(org.apache.hc.client5.http.impl.classic.HttpClientBuilder clientBuilder) Provide access to the http client request parameters used on new RequestConfig instances used by producers or consumers of this endpoint.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clientConnectionManager(String clientConnectionManager) To use a custom HttpClientConnectionManager to manage connections.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.clientConnectionManager(org.apache.hc.client5.http.io.HttpClientConnectionManager clientConnectionManager) To use a custom HttpClientConnectionManager to manage connections.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.connectionsPerRoute(int connectionsPerRoute) The maximum number of connections per route.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.connectionsPerRoute(String connectionsPerRoute) The maximum number of connections per route.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.cookieHandler(String cookieHandler) Configure a cookie handler to maintain a HTTP session.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.cookieHandler(org.apache.camel.http.base.cookie.CookieHandler cookieHandler) Configure a cookie handler to maintain a HTTP session.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.cookieStore(String cookieStore) To use a custom CookieStore.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.cookieStore(org.apache.hc.client5.http.cookie.CookieStore cookieStore) To use a custom CookieStore.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.copyHeaders(boolean copyHeaders) If this option is true then IN exchange headers will be copied to OUT exchange headers according to copy strategy.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.copyHeaders(String copyHeaders) If this option is true then IN exchange headers will be copied to OUT exchange headers according to copy strategy.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.customHostHeader(String customHostHeader) To use custom host header for producer.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.deleteWithBody(boolean deleteWithBody) Whether the HTTP DELETE should include the message body or not.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.deleteWithBody(String deleteWithBody) Whether the HTTP DELETE should include the message body or not.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.getWithBody(boolean getWithBody) Whether the HTTP GET should include the message body or not.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.getWithBody(String getWithBody) Whether the HTTP GET should include the message body or not.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.headerFilterStrategy(String headerFilterStrategy) To use a custom HeaderFilterStrategy to filter header to and from Camel message.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy) To use a custom HeaderFilterStrategy to filter header to and from Camel message.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClient(String httpClient) Sets a custom HttpClient to be used by the producer.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClient(org.apache.hc.client5.http.classic.HttpClient httpClient) Sets a custom HttpClient to be used by the producer.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClientConfigurer(String httpClientConfigurer) Register a custom configuration strategy for new HttpClient instances created by producers or consumers such as to configure authentication mechanisms etc.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClientConfigurer(org.apache.camel.component.http.HttpClientConfigurer httpClientConfigurer) Register a custom configuration strategy for new HttpClient instances created by producers or consumers such as to configure authentication mechanisms etc.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClientOptions(String key, Object value) To configure the HttpClient using the key/values from the Map.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpClientOptions(Map values) To configure the HttpClient using the key/values from the Map.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpConnectionOptions(String key, Object value) To configure the connection and the socket using the key/values from the Map.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpConnectionOptions(Map values) To configure the connection and the socket using the key/values from the Map.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpContext(String httpContext) To use a custom HttpContext instance.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.httpContext(org.apache.hc.core5.http.protocol.HttpContext httpContext) To use a custom HttpContext instance.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.ignoreResponseBody(boolean ignoreResponseBody) If this option is true, The http producer won't read response body and cache the input stream.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.ignoreResponseBody(String ignoreResponseBody) If this option is true, The http producer won't read response body and cache the input stream.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.lazyStartProducer(boolean lazyStartProducer) Whether the producer should be started lazy (on the first message).HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.lazyStartProducer(String lazyStartProducer) Whether the producer should be started lazy (on the first message).HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.maxTotalConnections(int maxTotalConnections) The maximum number of connections.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.maxTotalConnections(String maxTotalConnections) The maximum number of connections.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.okStatusCodeRange(String okStatusCodeRange) The status codes which are considered a success response.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.preserveHostHeader(boolean preserveHostHeader) If the option is true, HttpProducer will set the Host header to the value contained in the current exchange Host header, useful in reverse proxy applications where you want the Host header received by the downstream server to reflect the URL called by the upstream client, this allows applications which use the Host header to generate accurate URL's for a proxied service.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.preserveHostHeader(String preserveHostHeader) If the option is true, HttpProducer will set the Host header to the value contained in the current exchange Host header, useful in reverse proxy applications where you want the Host header received by the downstream server to reflect the URL called by the upstream client, this allows applications which use the Host header to generate accurate URL's for a proxied service.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.skipRequestHeaders(boolean skipRequestHeaders) Whether to skip mapping all the Camel headers as HTTP request headers.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.skipRequestHeaders(String skipRequestHeaders) Whether to skip mapping all the Camel headers as HTTP request headers.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.skipResponseHeaders(boolean skipResponseHeaders) Whether to skip mapping all the HTTP response headers to Camel headers.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.skipResponseHeaders(String skipResponseHeaders) Whether to skip mapping all the HTTP response headers to Camel headers.To set a custom HTTP User-Agent request header.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.useSystemProperties(boolean useSystemProperties) To use System Properties as fallback for configuration.HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder.useSystemProperties(String useSystemProperties) To use System Properties as fallback for configuration.